Lavalite package that provides quickbook management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/quickbook`.

    "bixo/quickbook": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Quickbook\Providers\QuickbookServiceProvider::class,

And also add it to alias

    'Quickbook'  => Bixo\Quickbook\Facades\Quickbook::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\QuickbookTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Quickbook\Providers\QuickbookServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Quickbook\Providers\QuickbookServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Quickbook\Providers\QuickbookServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/quickbook/{modulename}

**User**

    http://path-to-route-folder/user/quickbook/{modulename}

**Public**

    http://path-to-route-folder/quickbooks


### API endpoints

**List**

    http://path-to-route-folder/api/user/quickbook/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/quickbook/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/quickbook/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/quickbook/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/quickbook/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/quickbook/{modulename}/{slug}
    METHOD: GET